Module javafx.controls
Package javafx.scene.control.skin

# Class ProgressBarSkin

java.lang.Object
javafx.scene.control.SkinBase<ProgressIndicator>
javafx.scene.control.skin.ProgressIndicatorSkin
javafx.scene.control.skin.ProgressBarSkin

All Implemented Interfaces:
  `Skin<ProgressIndicator>`

public class ProgressBarSkin extends ProgressIndicatorSkin
Default skin implementation for the `ProgressBar` control.

Since:
  9
See Also:
  - `ProgressBar`

## Constructor Summary

Constructors
Constructor
Description
`ProgressBarSkin(ProgressBar control)`
Creates a new ProgressBarSkin instance, installing the necessary child nodes into the Control `children` list.

## Method Summary

Modifier and Type
Method
Description
`double`
`computeBaselineOffset(double topInset, double rightInset, double bottomInset, double leftInset)`
Calculates the baseline offset based on the first managed child.
`protected double`
`computeMaxHeight(double width, double topInset, double rightInset, double bottomInset, double leftInset)`
Computes the maximum allowable height of the Skin, based on the provided width.
`protected double`
`computeMaxWidth(double height, double topInset, double rightInset, double bottomInset, double leftInset)`
Computes the maximum allowable width of the Skin, based on the provided height.
`protected double`
`computePrefHeight(double width, double topInset, double rightInset, double bottomInset, double leftInset)`
Calculates the preferred height of this `SkinBase`.
`protected double`
`computePrefWidth(double height, double topInset, double rightInset, double bottomInset, double leftInset)`
Calculates the preferred width of this `SkinBase`.
`static List<CssMetaData<? extends Styleable,?>>`
`getClassCssMetaData()`
Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
`List<CssMetaData<? extends Styleable,?>>`
`getCssMetaData()`
This method should delegate to `Node.getClassCssMetaData()` so that a Node's CssMetaData can be accessed without the need for reflection.
`protected void`
`layoutChildren(double x, double y, double w, double h)`
Called during the layout pass of the scenegraph.

### Methods inherited from class javafx.scene.control.skin.ProgressIndicatorSkin

`computeMinHeight, computeMinWidth, dispose`

### Methods inherited from class javafx.scene.control.SkinBase

`consumeMouseEvents, executeAccessibleAction, getChildren, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProgressBarSkin

public ProgressBarSkin(ProgressBar control)
Creates a new ProgressBarSkin instance, installing the necessary child nodes into the Control `children` list.

Parameters:
  `control` - The control that this skin should be installed onto.

## Method Details

### computeBaselineOffset

public double computeBaselineOffset(double topInset, double rightInset, double bottomInset, double leftInset)
Calculates the baseline offset based on the first managed child. If there is no such child, returns `Node.getBaselineOffset()`.

Overrides:
  `computeBaselineOffset` in class `SkinBase<ProgressIndicator>`
Parameters:
  `topInset` - the pixel snapped top inset
  `rightInset` - the pixel snapped right inset
  `bottomInset` - the pixel snapped bottom inset
  `leftInset` - the pixel snapped left inset
Returns:
  baseline offset

### computePrefWidth

protected double computePrefWidth(double height, double topInset, double rightInset, double bottomInset, double leftInset)
Calculates the preferred width of this `SkinBase`. The default implementation calculates this width as the width of the area occupied by its managed children when they are positioned at their current positions at their preferred widths.

Overrides:
  `computePrefWidth` in class `ProgressIndicatorSkin`
Parameters:
  `height` - the height that should be used if preferred width depends on it
  `topInset` - the pixel snapped top inset
  `rightInset` - the pixel snapped right inset
  `bottomInset` - the pixel snapped bottom inset
  `leftInset` - the pixel snapped left inset
Returns:
  the calculated preferred width

### computePrefHeight

protected double computePrefHeight(double width, double topInset, double rightInset, double bottomInset, double leftInset)
Calculates the preferred height of this `SkinBase`. The default implementation calculates this height as the height of the area occupied by its managed children when they are positioned at their current positions at their preferred heights.

Overrides:
  `computePrefHeight` in class `ProgressIndicatorSkin`
Parameters:
  `width` - the width that should be used if preferred height depends on it
  `topInset` - the pixel snapped top inset
  `rightInset` - the pixel snapped right inset
  `bottomInset` - the pixel snapped bottom inset
  `leftInset` - the pixel snapped left inset
Returns:
  the calculated preferred height

### computeMaxWidth

protected double computeMaxWidth(double height, double topInset, double rightInset, double bottomInset, double leftInset)
Computes the maximum allowable width of the Skin, based on the provided height.

Overrides:
  `computeMaxWidth` in class `ProgressIndicatorSkin`
Parameters:
  `height` - The height of the Skin, in case this value might dictate the maximum width.
  `topInset` - the pixel snapped top inset
  `rightInset` - the pixel snapped right inset
  `bottomInset` - the pixel snapped bottom inset
  `leftInset` - the pixel snapped left inset
Returns:
  A double representing the maximum width of this Skin.

### computeMaxHeight

protected double computeMaxHeight(double width, double topInset, double rightInset, double bottomInset, double leftInset)
Computes the maximum allowable height of the Skin, based on the provided width.

Overrides:
  `computeMaxHeight` in class `ProgressIndicatorSkin`
Parameters:
  `width` - The width of the Skin, in case this value might dictate the maximum height.
  `topInset` - the pixel snapped top inset
  `rightInset` - the pixel snapped right inset
  `bottomInset` - the pixel snapped bottom inset
  `leftInset` - the pixel snapped left inset
Returns:
  A double representing the maximum height of this Skin.

### layoutChildren

protected void layoutChildren(double x, double y, double w, double h)
Called during the layout pass of the scenegraph.

Overrides:
  `layoutChildren` in class `ProgressIndicatorSkin`
Parameters:
  `x` - the x position
  `y` - the y position
  `w` - the width
  `h` - the height

### getClassCssMetaData

public static List<CssMetaData<? extends Styleable,?>> getClassCssMetaData()
Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.

Returns:
  the CssMetaData associated with this class, which may include the CssMetaData of its superclasses

### getCssMetaData

public List<CssMetaData<? extends Styleable,?>> getCssMetaData()
This method should delegate to `Node.getClassCssMetaData()` so that a Node's CssMetaData can be accessed without the need for reflection.

Overrides:
  `getCssMetaData` in class `ProgressIndicatorSkin`
Returns:
  The CssMetaData associated with this node, which may include the CssMetaData of its superclasses.